# Uses of Class
org.eclipse.emf.compare.ide.ui.dependency.ModelDependencyProviderRegistry

Packages that use ModelDependencyProviderRegistry
Package
Description
org.eclipse.emf.compare.ide.ui.dependency
org.eclipse.emf.compare.ide.ui.internal

## Uses of ModelDependencyProviderRegistry in org.eclipse.emf.compare.ide.ui.dependency

Constructors in org.eclipse.emf.compare.ide.ui.dependency with parameters of type ModelDependencyProviderRegistry
Modifier
Constructor
Description
``
`ModelDependencyProviderRegistryListener(String pluginID, String extensionPointID, org.eclipse.core.runtime.ILog log, ModelDependencyProviderRegistry registry)`
Initialize a registry event listener for our handlers.

## Uses of ModelDependencyProviderRegistry in org.eclipse.emf.compare.ide.ui.internal

Methods in org.eclipse.emf.compare.ide.ui.internal that return ModelDependencyProviderRegistry
Modifier and Type
Method
Description
`ModelDependencyProviderRegistry`
EMFCompareIDEUIPlugin.`getModelDependencyProviderRegistry()`
Returns the registry containing all known dependency providers.